#!/bin/sh

LANG=C

if [ ! -f /etc/redhat-release ] ; then
	echo "/etc/redhat-release doesn't exist." >> /var/log/swpatch.log
	/usr/Sony/bin/nsrerrmenu "/etc/redhat-release doesn't exist."
	exit 1
fi
VERSION=`expr match "\`cat /etc/redhat-release\`" "Vervain R\(.*\)" | cut -d . -f 1-3`
if [ -z "$VERSION" ] ; then
	echo "version name doesn't exist." >> /var/log/swpatch.log
	/usr/Sony/bin/nsrerrmenu "version name doesn't exist."
	exit 1
fi
if [ "$VERSION" != "1.0.0" ] && [ "$VERSION" != "1.0.4" ] ; then
	echo "unsupported system version." >> /var/log/swpatch.log
	/usr/Sony/bin/nsrerrmenu "unsupported system version."
	exit 1
fi

ROOT="1.0.4.x/root"

# kill memlog.sh
killall memlog.sh
# stop psql watchdog
/etc/init.d/psqlwatchdog stop
sleep 10
killall -9 psql_watchdog >& /dev/null
# stop hwcontrolserver
/etc/init.d/hwcontrolserver stop
sleep 5
killall -9 HWControlServer >& /dev/null
/etc/init.d/wixhwmdaemon stop
sleep 5
killall -9 wixhwm >& /dev/null
# kill nsrgui
killall nsrapp
killall -9 nsrgui >& /dev/null
killall nsrerrmenu
sleep 5

/etc/init.d/rsmserver stop
sleep 10
killall -9 RSMServer >& /dev/null
sleep 5

rm -f /var/lock/subsys/rsmserver

/etc/init.d/eventactionserver stop
sleep 10
killall -9 EventActionServer >& /dev/null

/etc/init.d/downloadserver stop
sleep 5
killall -9 DownloadServer >& /dev/null

/etc/init.d/centralserver stop
sleep 5
killall -9 CentralServer >& /dev/null

/etc/init.d/postgresql stop
sleep 5
killall -9 postgres >& /dev/null

/etc/init.d/wixmonitordaemon stop
sleep 5
killall -9 wixmonidaemon >& /dev/null

/etc/init.d/wixalarmdaemon stop
sleep 5
killall -9 wixalarm >& /dev/null

if [ `ls $ROOT | wc -l` -ne 0 ] ; then
	cp -fpr $ROOT/* /mnt/prios/disk1p1/ >> /var/log/swpatch.log 2>&1
	if (($?)) ; then
		echo "Copy failed! (HDD #1)" >> /var/log/swpatch.log
		/usr/Sony/bin/nsrerrmenu "Copy failed! (HDD #1) Reboot and Install Patch again."
		exit 1
	fi
fi

touch /usr/Sony/conf/patchversion/SecurityUpdate-1191107
touch /usr/Sony/conf/patchversion/SecurityUpdate-1501151

reboot

exit 0
